/*
GameFrame for Java. Enable platform dependent features without giving up platform independence!
Copyright (C) 1999-2000  Pasi Kernen

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The author can be contacted at eMail address: javanerd@geocities.com
*/
package gameframe.engines;

import gameframe.*;
import gameframe.sound.*;

/**
 * A do nothing implementation of a music object.
 * 
 *@see gameframe.Sample
 *@author Pasi Kernen 29. Nov 1999
 *@version GameFrame for Java 0.9.4
 *@since GameFrame for Java 0.9.2
 */
public class NullMusic implements Music
{
    /**
     * Does nothing.
     *
     *@since GameFrame for Java 0.9.2
     */
    public void playOnce()
    {
    }
        
    /**
     * Does nothing.
     * 
     *@since GameFrame for Java 0.9.2
     */
    public void playLooped()
    {
    }
        
    /**
     * Does nothing.
     * 
     *@since GameFrame for Java 0.9.2
     */
    public void stop()
    {
    }
        
    /**
     * Returns always false.
     * 
     *@return False.
     *@since GameFrame for Java 0.9.2
     */
    public boolean isPlaying()
    {
        return false;
    }

    /**
     * Does nothing.
     * 
     *@since GameFrame for Java 0.9.2
     */
    public void finalize()
    {
    }
}
