/*
GameFrame for Java. Enable platform dependent features without giving up platform independence!
Copyright (C) 2000  Pasi Kernen

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The author can be contacted at eMail address: javanerd@geocities.com
*/
package gameframe.graphics;

import java.awt.Color;

/**
 * Contains two colours that are related somehow. Used e.g. by the EffectSettings to store
 * colours to be replaced by another colour in a processed bitamp.
 *
 *@author Pasi Kernen 16. Feb 2000
 *@version GameFrame for Java 0.9.4
 *@since GameFrame for Java 0.9.3
 */
public class ColorMapping
{
    /** The key colour. */
    public int keyColor;

    /** The value colour. */
    public int valueColor;

    /**
     * Constructs a colour mapping object.
     *@param keyColour The key colour.
     *@param valueColour The value colour.
     */
    public ColorMapping()
    {
    }

    /**
     * Constructs a colour mapping object with the given initial values.
     *@param keyColor The key colour in default ARGB format.
     *@param valueColor The value colour in default ARGB format.
     */
    public ColorMapping( int keyColor, int valueColor )
    {
        this.keyColor   = keyColor;
        this.valueColor = valueColor;
    }
}
